import { InjectionToken } from '@angular/core';
import { IconsType } from './types';
import { Observable } from 'rxjs';
export declare const ICONS_PICKED: InjectionToken<IconsType>;
export declare const ICONS_LOADER: InjectionToken<(name: string) => Observable<string | undefined> | string | undefined>;
export declare const DEFAULT_ICON_SIZE = "16";
export declare const DEFAULT_COLOR = "currentColor";
export declare const ICON_WIDTH: InjectionToken<string>;
export declare const ICON_HEIGHT: InjectionToken<string>;
export declare const ICON_COLOR: InjectionToken<string | undefined>;
export declare const ICON_SIZE: InjectionToken<string | undefined>;
